Summary: Utilities for monitoring your system and processes on your system.
Name: procps
%define major_version 2
%define minor_version 0
%define revision 6
%define version %{major_version}.%{minor_version}.%{revision}
Version: %{version}
Release: 12mdk
Copyright: GPL
Group: Monitoring
Source: ftp://metalab.unc.edu/pub/Linux/system/status/ps/procps-%{version}.tar.bz2
Patch0: procps-2.0.6-Makefile.patch.bz2
Patch1: procps-proto-fix.patch.bz2
Patch3: procps-2.0.6-sysmap.patch.bz2
Patch4: procps-2.0.6-sysctlshutup.patch.bz2
Patch5: procps-2.0.6-include.patch.bz2
BuildRoot: /var/tmp/procps-root
Provides: libproc.so.%{major_version}.%{minor_version}

%description
The procps package contains a set of system utilities which provide
system information.  Procps includes ps, free, skill, snice,
tload, top, uptime, vmstat, w, and watch.  The ps command displays
a snapshot of running processes.  The top command provides a
repetitive update of the statuses of running processes.  The free
command displays the amounts of free and used memory on your system.
The skill command sends a terminate command (or another specified signal)
to a specified set of processes.  The snice command is used to change the
scheduling priority of specified processes. The tload command prints a graph
of the current system load average to a specified tty. The uptime command
displays the current time, how long the system has been running, how many
users are logged on and system load averages for the past one, five and
fifteen minutes.  The w command displays a list of the users who
are currently logged on and what they're running.  The watch program
watches a running program.  The vmstat command displays virtual
memory statistics about processes, memory, paging, block I/O, traps
and CPU activity.

%package X11
Group: Monitoring
Summary: An X based system message monitoring utility.

%description X11
The procps-X11 package contains X Window System utilities for monitoring
your system.  The utilities contained in this package generally provide
graphical representations of the information provided by the tools in
the procps package.

Install the procps-X11 package if you'd like to use a graphical
system monitoring utility.


%prep
%setup
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1 -b .chmou
%patch5 -p0

%build
PATH=/usr/X11R6/bin:$PATH

make CC="gcc $RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/lib $RPM_BUILD_ROOT/usr/X11R6/bin

make DESTDIR=$RPM_BUILD_ROOT install

# Since this is specific to Red Hat Linux, we'll leave this in the spec file.
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 top.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/top
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin

pushd $RPM_BUILD_ROOT/lib && {
ln -sf libproc.so.%{version} libproc.so
ln -sf libproc.so.%{version} libproc.so.%{major_version}.%{minor_version}
} && popd

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
# remove obsolete files
rm -f /etc/psdevtab /etc/psdatabase

%postun 
/sbin/ldconfig

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(missingok) /etc/X11/wmconfig/top
%doc NEWS BUGS TODO
%attr(755,root,root) /lib/libproc.so.*
%attr(755,root,root) /bin/ps
%attr(755,root,root) /sbin/sysctl
%attr(755,root,root) /usr/bin/uptime
%attr(755,root,root) /usr/bin/tload
%attr(755,root,root) /usr/bin/free
%attr(755,root,root) /usr/bin/w
%attr(755,root,root) /usr/bin/top
%attr(755,root,root) /usr/bin/vmstat
%attr(755,root,root) /usr/bin/watch
%attr(755,root,root) /usr/bin/skill
%attr(755,root,root) /usr/bin/snice

%attr(0644,root,root) /usr/man/man1/free.1.bz2
%attr(0644,root,root) /usr/man/man1/ps.1.bz2
%attr(0644,root,root) /usr/man/man1/skill.1.bz2
%attr(0644,root,root) /usr/man/man1/snice.1.bz2
%attr(0644,root,root) /usr/man/man1/tload.1.bz2
%attr(0644,root,root) /usr/man/man1/top.1.bz2
%attr(0644,root,root) /usr/man/man1/uptime.1.bz2
%attr(0644,root,root) /usr/man/man1/w.1.bz2
%attr(0644,root,root) /usr/man/man1/watch.1.bz2
%attr(0644,root,root) /usr/man/man8/vmstat.8.bz2
%attr(0644,root,root) /usr/man/man8/sysctl.8.bz2

%files X11
%attr(0755,root,root) /usr/X11R6/bin/XConsole

%changelog
* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> %version-12mdk
- fix postin / postun.
- .so in devel package

* Tue Mar 28 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.0.6-11mdk
- Added a patch to fix an include compile time problem with new glibc.
- Fix group.
- Url wasn't pointing to the main procps site.

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-9mdk
- Fix sysctly_shut_your_mouth patch.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-8mdk
- By default shut up the mouth of sysctl (and add the -v option to verbose it).

* Sat Mar 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-7mdk
- Add /sbin/sysctl in %files.

* Tue Jan 18 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed a wrong function prototype which made sparc's ps try to divide by zero

* Mon Jan 3 2000 Florent Villard <warly@mandrakesoft.com> 2.0.6-5mdk
- fix libproc.so problem

* Fri Dec 31 1999 Florent Villard <warly@mandrakesoft.com> 2.0.6-4mdk
- add link /lib/libproc.so to /lib/libproc.so.2.0.6

* Thu Dec 30 1999 Florent Villard <warly@mandrakesoft.com> 2.0.6-3mdk
- correct path permissions

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Provides: libproc.so.2.0

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.6.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.5.
- include more manpages.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions on doc (it was only availlable to root)

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild w/ prereq dev

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- FIx small bug with the /usr/X11R6/bin/

* Sun Apr 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- bzip2 man pages
- update to 2.0.2
- add de locale
- Mandrake adaptions
